# Uses of Interface
java.lang.classfile.constantpool.MethodRefEntry

Packages that use MethodRefEntry
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.

## Uses of MethodRefEntry in java.lang.classfile

Methods in java.lang.classfile with parameters of type MethodRefEntry
Modifier and Type
Method
Description
`default CodeBuilder`
CodeBuilder.`invokespecial(MethodRefEntry ref)`
Generates an instruction to invoke an instance method in a class; direct invocation of instance initialization methods and methods of the current class and its supertypes.
`default CodeBuilder`
CodeBuilder.`invokestatic(MethodRefEntry ref)`
Generates an instruction to invoke a class (static) method of a class.
`default CodeBuilder`
CodeBuilder.`invokevirtual(MethodRefEntry ref)`
Generates an instruction to invoke an instance method; dispatch based on class.

## Uses of MethodRefEntry in java.lang.classfile.constantpool

Methods in java.lang.classfile.constantpool that return MethodRefEntry
Modifier and Type
Method
Description
`MethodRefEntry`
ConstantPoolBuilder.`methodRefEntry(ClassEntry owner, NameAndTypeEntry nameAndType)`
Returns a `MethodRefEntry` referring to a `ClassEntry` and a `NameAndTypeEntry`.
`default MethodRefEntry`
ConstantPoolBuilder.`methodRefEntry(ClassDesc owner, String name, MethodTypeDesc type)`
Returns a `MethodRefEntry` describing a method of a class.